Create spending plan
curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/spending_plans \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/spending_plans"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/spending_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2016-10-13T18:08:00+00:00",
"current_iteration_number": 1,
"guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
"updated_at": "2016-10-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}Spending Plans
Create spending plan
POST
/
users
/
{user_guid}
/
spending_plans
Create spending plan
This endpoint creates a new
spending_plan for the user.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/vnd.mx.api.v1+json
OK
Example:
"2016-10-13T18:08:00+00:00"
Example:
1
Example:
"SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262"
Example:
"2016-10-13T18:09:00+00:00"
Example:
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

